#!/bin/bash
TMPFILE=$(mktemp)
cp "$2" "$TMPFILE"
CUR_DT=$(date +%s)
sed -i "s/###SIGNATURE_DATE###/${CUR_DT}/" "$TMPFILE"
echo -e \\r\\nS_DT:$CUR_DT >> "$TMPFILE"
cp "$TMPFILE" "$3"
echo -e \\r\\nS:$(openssl dgst -sha256 -sign "$1" < "$TMPFILE" | base64 -w0) >> "$3"
rm "$TMPFILE"
